RET (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.generic.RET,RET class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class RET

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.RET

All Implemented Interfaces:
  java.lang.Cloneable, IndexedInstruction, java.io.Serializable, TypedInstruction

public class RET
extends Instruction
implements IndexedInstruction, TypedInstruction

RET - Return from subroutine

    Stack: ..., -> ..., address

Version:
  $Id: RET.java,v 1.1.1.1 2001/10/29 20:00:25 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`RET(int index)`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`void` | `dump(java.io.DataOutputStream out)` Dump instruction as byte code to stream out.
`int` | `getIndex()`
`Type` | `getType(ConstantPoolGen cp)`
`protected void` | `initFromFile(ByteSequence bytes, boolean wide)` Read needed data (e.g. index) from file.
`void` | `setIndex(int n)` Set index of local variable containg the return address
`java.lang.String` | `toString(boolean verbose)` Long output format: <name of opcode> "["<opcode number>"]" "("<length of instruction>")"

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RET

    public RET(int index)

Method Detail

### dump

    public void dump(java.io.DataOutputStream out)
              throws java.io.IOException

  Dump instruction as byte code to stream out.

  Overrides:
    `dump` in class `Instruction`
  Parameters:
    `out` - Output stream
    `java.io.IOException`

### initFromFile

    protected void initFromFile(ByteSequence bytes,
                                boolean wide)
                         throws java.io.IOException

  Read needed data (e.g. index) from file.

  Overrides:
    `initFromFile` in class `Instruction`
  Parameters:
    `bytes` - byte sequence to read from
    `wide` - "wide" instruction flag
    `java.io.IOException`

### getIndex

    public final int getIndex()

  Specified by:
    `getIndex` in interface `IndexedInstruction`
  Returns:
    index of local variable containg the return address

### setIndex

    public final void setIndex(int n)

  Set index of local variable containg the return address

  Specified by:
    `setIndex` in interface `IndexedInstruction`

### toString

    public java.lang.String toString(boolean verbose)

  Description copied from class: `Instruction`
  Long output format: <name of opcode> "["<opcode number>"]" "("<length of instruction>")"

  Overrides:
    `toString` in class `Instruction`
  Parameters:
    `verbose` - long/short format switch
  Returns:
    mnemonic for instruction

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    return address type

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.